<?php
namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Location extends Model
{
    protected $fillable = [
        'region',
        'province',
        'commune',
        'colline',
    ];

   // public $timestamps = false; Because your table doesn't have created_at/updated_at
   public function clients()
{
    return $this->hasMany(Client::class);
}

public function people()
{
    return $this->hasMany(Person::class);
}

public function organizations()
{
    return $this->hasMany(Organization::class);
}

public function representatives()
{
    return $this->hasMany(Representative::class);
}
 public function commune()
    {
        return $this->belongsTo(Commune::class);
    }
}

